local createCompositionButterfly_01_Idle = nil
local createCompositionButterfly_02_Idle = nil
local createCompositionButterfly_out = nil
local createCompositionClear_sand = nil
local createCompositionOpen_lock = nil

---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Minigames/01_Box/Animations/"
---------------------------------------------------------------------------------------
function Loader_01_MG_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
   		CreateCompositionLoader( createCompositionClear_sand, 'clear_sand', 0, 0, 130, 512, 799, false ),
   		CreateCompositionLoader( createCompositionButterfly_out, 'butterflies_fly', 0, 0, 231, 506, 815, false ),
   		CreateCompositionLoader( createCompositionOpen_lock, 'open_lock', 0, 0, 232, 526, 835, false ),
   		CreateCompositionLoader( createCompositionButterfly_01_Idle, 'butterfly_yellow_idle', 0, 0, 233, 526, 795, true ),
   		CreateCompositionLoader( createCompositionButterfly_02_Idle, 'butterfly_blue_idle', 0, 0, 233, 526, 795, true ),
   		CreateCompositionLoader( createCompositionbutterfly_yellow_idle_fly, 'butterfly_yellow_idle_fly', 0, 0, 234, 526, 795, false ),
   		CreateCompositionLoader( createCompositionbutterfly_blue_idle_fly, 'butterfly_blue_idle_fly', 0, 0, 234, 526, 795, false ),
		},
		{
			function (element, textureName)
				if textureName == "butterfly_[]_blue.png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,70,52)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "butterfly_green_yellow_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,74,78)
					anim:SetSpeed(14)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "butterfly_yellow_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,94,72)
					anim:SetSpeed(12)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "Inachis_io_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,88,58)
					anim:SetSpeed(20)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "sand_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(9)
					anim:SetTextureRect(0,0,140,230)
					anim:SetSpeed(15)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionButterfly_01_Idle = function()
	local compositionbutterfly_01_Idle = CreateCompositionSequence()
	local compositionDuration = 2
	compositionbutterfly_01_Idle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."babochka_1.png")
	element:SetName("Layer_1")
	compositionbutterfly_01_Idle:AddElement(element)
	element:SetHotSpot(35.5, 31)
	compositionbutterfly_01_Idle:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(12.75, 19)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_SX, 0.75, -1)
	effector:SetKey(_TRACK_SY, 0.75, 1)
	effector:SetKey(_TRACK_SX, 0.875, -0.11)
	effector:SetKey(_TRACK_SY, 0.875, 1)
	effector:SetKey(_TRACK_SX, 1, -1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_SX, 1.125, -0.11)
	effector:SetKey(_TRACK_SY, 1.125, 1)
	effector:SetKey(_TRACK_SX, 1.25, -1)
	effector:SetKey(_TRACK_SY, 1.25, 1)
	effector:SetKey(_TRACK_SX, 1.75, -1)
	effector:SetKey(_TRACK_SY, 1.75, 1)
	effector:SetKey(_TRACK_SX, 1.875, -0.11)
	effector:SetKey(_TRACK_SY, 1.875, 1)
	effector:SetKey(_TRACK_SX, 2, -1)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."babochka_1.png")
	element:SetName("Layer_2")
	compositionbutterfly_01_Idle:AddElement(element)
	element:SetHotSpot(35.5, 31)
	compositionbutterfly_01_Idle:RegisterParentInfo("Layer_2", "Layer_3")
	element:SetXY(12.75, 19)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_SX, 0.75, 1)
	effector:SetKey(_TRACK_SY, 0.75, 1)
	effector:SetKey(_TRACK_SX, 0.875, 0.11)
	effector:SetKey(_TRACK_SY, 0.875, 1)
	effector:SetKey(_TRACK_SX, 1, 1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_SX, 1.125, 0.11)
	effector:SetKey(_TRACK_SY, 1.125, 1)
	effector:SetKey(_TRACK_SX, 1.25, 1)
	effector:SetKey(_TRACK_SY, 1.25, 1)
	effector:SetKey(_TRACK_SX, 1.75, 1)
	effector:SetKey(_TRACK_SY, 1.75, 1)
	effector:SetKey(_TRACK_SX, 1.875, 0.11)
	effector:SetKey(_TRACK_SY, 1.875, 1)
	effector:SetKey(_TRACK_SX, 2, 1)
	effector:SetKey(_TRACK_SY, 2, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."babochka_1_telo.png")
	element:SetName("Layer_3")
	compositionbutterfly_01_Idle:AddElement(element)
	element:SetHotSpot(12, 20)
	element:SetParentElement(compositionbutterfly_01_Idle)
	element:SetXY(958, 458)
 
	element:SetAngle(0.7504915775)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionbutterfly_01_Idle:Play()
 
	return compositionbutterfly_01_Idle
end
 
createCompositionButterfly_02_Idle = function()
	local compositionbutterfly_02_Idle = CreateCompositionSequence()
	local compositionDuration = 2
	compositionbutterfly_02_Idle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."babochka_2.png")
	element:SetName("Layer_1")
	compositionbutterfly_02_Idle:AddElement(element)
	element:SetHotSpot(36, 22.75)
	compositionbutterfly_02_Idle:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(13.25, 21.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_SX, 0, -1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.25, -0.11)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_SX, 0.5, -1)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 1, -1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_SX, 1.25, -0.11)
	effector:SetKey(_TRACK_SY, 1.25, 1)
	effector:SetKey(_TRACK_SX, 1.5, -1)
	effector:SetKey(_TRACK_SY, 1.5, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."babochka_2.png")
	element:SetName("Layer_2")
	compositionbutterfly_02_Idle:AddElement(element)
	element:SetHotSpot(36, 22.75)
	compositionbutterfly_02_Idle:RegisterParentInfo("Layer_2", "Layer_3")
	element:SetXY(13.25, 21.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.25, 0.11)
	effector:SetKey(_TRACK_SY, 0.25, 1)
	effector:SetKey(_TRACK_SX, 0.5, 1)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 1, 1)
	effector:SetKey(_TRACK_SY, 1, 1)
	effector:SetKey(_TRACK_SX, 1.25, 0.11)
	effector:SetKey(_TRACK_SY, 1.25, 1)
	effector:SetKey(_TRACK_SX, 1.5, 1)
	effector:SetKey(_TRACK_SY, 1.5, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."babochka_2_telo.png")
	element:SetName("Layer_3")
	compositionbutterfly_02_Idle:AddElement(element)
	element:SetHotSpot(13, 23)
	element:SetParentElement(compositionbutterfly_02_Idle)
	element:SetXY(139, 582)
 
	element:SetAngle(-0.6806784075)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionbutterfly_02_Idle:Play()
 
	return compositionbutterfly_02_Idle
end

createCompositionbutterfly_yellow_idle_fly = function()
	local compositionbutterfly_yellow_idle_fly = CreateCompositionSequence()
	local compositionDuration = 5
	compositionbutterfly_yellow_idle_fly:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."butterfly_green_yellow_[].png")
	element:SetName("Layer_1")
	compositionbutterfly_yellow_idle_fly:AddElement(element)
	element:SetHotSpot(37, 39)
	element:SetParentElement(compositionbutterfly_yellow_idle_fly)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4.9)
	effector:SetKey(_TRACK_X, 0, 977.5)
	effector:SetKey(_TRACK_Y, 0, 459.5)
	effector:SetKey(_TRACK_X, 0.19999186197917, 994.459197613069)
	effector:SetKey(_TRACK_Y, 0.19999186197917, 392.19118104268)
	effector:SetKey(_TRACK_X, 0.39998372395833, 1014.63057567619)
	effector:SetKey(_TRACK_Y, 0.39998372395833, 324.849774994062)
	effector:SetKey(_TRACK_X, 0.60001627604167, 1030.70027446298)
	effector:SetKey(_TRACK_Y, 0.60001627604167, 257.089292233348)
	effector:SetKey(_TRACK_X, 0.80000813802083, 1040.55581286992)
	effector:SetKey(_TRACK_Y, 0.80000813802083, 190.021743366085)
	effector:SetKey(_TRACK_X, 1, 1010.99220252083)
	effector:SetKey(_TRACK_Y, 1, 131.853007599109)
	effector:SetKey(_TRACK_X, 1.19999186197917, 950.394587348956)
	effector:SetKey(_TRACK_Y, 1.19999186197917, 164.591470701678)
	effector:SetKey(_TRACK_X, 1.39998372395833, 910.720062383401)
	effector:SetKey(_TRACK_Y, 1.39998372395833, 225.07276575176)
	effector:SetKey(_TRACK_X, 1.60001627604167, 870.13822393912)
	effector:SetKey(_TRACK_Y, 1.60001627604167, 286.549731903315)
	effector:SetKey(_TRACK_X, 1.80000813802083, 809.905976902816)
	effector:SetKey(_TRACK_Y, 1.80000813802083, 322.283774372073)
	effector:SetKey(_TRACK_X, 2, 756.409360026856)
	effector:SetKey(_TRACK_Y, 2, 277.171834467605)
	effector:SetKey(_TRACK_X, 2.19999186197917, 709.194942556164)
	effector:SetKey(_TRACK_Y, 2.19999186197917, 224.203413048551)
	effector:SetKey(_TRACK_X, 2.39998372395833, 645.280653636561)
	effector:SetKey(_TRACK_Y, 2.39998372395833, 194.758222405545)
	effector:SetKey(_TRACK_X, 2.60001627604167, 575.966043794406)
	effector:SetKey(_TRACK_Y, 2.60001627604167, 211.519679084925)
	effector:SetKey(_TRACK_X, 2.80000813802083, 539.912154924657)
	effector:SetKey(_TRACK_Y, 2.80000813802083, 271.364499013244)
	effector:SetKey(_TRACK_X, 3, 564.991775261696)
	effector:SetKey(_TRACK_Y, 3, 333.982955412458)
	effector:SetKey(_TRACK_X, 3.19999186197917, 638.28794412891)
	effector:SetKey(_TRACK_Y, 3.19999186197917, 353.751057241648)
	effector:SetKey(_TRACK_X, 3.39998372395833, 677.164702893216)
	effector:SetKey(_TRACK_Y, 3.39998372395833, 287.361315972082)
	effector:SetKey(_TRACK_X, 3.60001627604167, 696.268468498572)
	effector:SetKey(_TRACK_Y, 3.60001627604167, 210.623660610403)
	effector:SetKey(_TRACK_X, 3.80000813802083, 728.134647466129)
	effector:SetKey(_TRACK_Y, 3.80000813802083, 139.232393136355)
	effector:SetKey(_TRACK_X, 4, 800.374568926054)
	effector:SetKey(_TRACK_Y, 4, 117.566499832148)
	effector:SetKey(_TRACK_X, 4.19999186197917, 853.688026396692)
	effector:SetKey(_TRACK_Y, 4.19999186197917, 184.495766522823)
	effector:SetKey(_TRACK_X, 4.39998372395833, 852.951671267366)
	effector:SetKey(_TRACK_Y, 4.39998372395833, 279.266384538492)
	effector:SetKey(_TRACK_X, 4.60001627604167, 849.895331327759)
	effector:SetKey(_TRACK_Y, 4.60001627604167, 372.113011085066)
	effector:SetKey(_TRACK_X, 4.80000813802083, 886.326357572125)
	effector:SetKey(_TRACK_Y, 4.80000813802083, 453.542152842331)
	effector:SetKey(_TRACK_X, 5, 977.5)
	effector:SetKey(_TRACK_Y, 5, 459.5)
	effector:SetKey(_TRACK_A, 0, 0.733038285)
	effector:SetKey(_TRACK_A, 0.54166666666667, 0.1570796325)
	effector:SetKey(_TRACK_A, 1, -1.7278759575)
	effector:SetKey(_TRACK_A, 1.54166666666667, -2.4958208275)
	effector:SetKey(_TRACK_A, 2, -0.6457718225)
	effector:SetKey(_TRACK_A, 2.45833333333333, -1.8675022975)
	effector:SetKey(_TRACK_A, 3, -4.1364303225)
	effector:SetKey(_TRACK_A, 3.41666666666667, -6.07374579)
	effector:SetKey(_TRACK_A, 3.79166666666667, -5.3232542125)
	effector:SetKey(_TRACK_A, 4, -4.25860337)
	effector:SetKey(_TRACK_A, 4.375, -3.036872895)
	effector:SetKey(_TRACK_A, 4.66666666666667, -3.5430183775)
	effector:SetKey(_TRACK_A, 4.95833333333333, -5.5850536)
	effector:Play()
 
	compositionbutterfly_yellow_idle_fly:Play()
 
	return compositionbutterfly_yellow_idle_fly
end

createCompositionbutterfly_blue_idle_fly = function()
	local compositionbutterfly_blue_idle_fly = CreateCompositionSequence()
	local compositionDuration = 5
	compositionbutterfly_blue_idle_fly:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."butterfly_[]_blue.png")
	element:SetName("Layer_1")
	compositionbutterfly_blue_idle_fly:AddElement(element)
	element:SetHotSpot(35, 26)
	element:SetParentElement(compositionbutterfly_blue_idle_fly)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4.9)
	effector:SetKey(_TRACK_X, 0, 139)
	effector:SetKey(_TRACK_Y, 0, 602.25)
	effector:SetKey(_TRACK_X, 0.19999186197917, 98.334220033927)
	effector:SetKey(_TRACK_Y, 0.19999186197917, 566.532304992624)
	effector:SetKey(_TRACK_X, 0.39998372395833, 56.7328304989556)
	effector:SetKey(_TRACK_Y, 0.39998372395833, 529.129433858983)
	effector:SetKey(_TRACK_X, 0.60001627604167, 23.5876951666103)
	effector:SetKey(_TRACK_Y, 0.60001627604167, 487.592816781845)
	effector:SetKey(_TRACK_X, 0.80000813802083, 14.9112211423377)
	effector:SetKey(_TRACK_Y, 0.80000813802083, 434.244838307547)
	effector:SetKey(_TRACK_X, 1, 39.0365611743522)
	effector:SetKey(_TRACK_Y, 1, 387.186399426252)
	effector:SetKey(_TRACK_X, 1.19999186197917, 75.5497514905944)
	effector:SetKey(_TRACK_Y, 1.19999186197917, 362.402947931321)
	effector:SetKey(_TRACK_X, 1.39998372395833, 115.486219347424)
	effector:SetKey(_TRACK_Y, 1.39998372395833, 374.409714268501)
	effector:SetKey(_TRACK_X, 1.60001627604167, 149.859978606809)
	effector:SetKey(_TRACK_Y, 1.60001627604167, 400.927269718792)
	effector:SetKey(_TRACK_X, 1.80000813802083, 189.670575155905)
	effector:SetKey(_TRACK_Y, 1.80000813802083, 420.480936490347)
	effector:SetKey(_TRACK_X, 2, 232.124851222266)
	effector:SetKey(_TRACK_Y, 2, 419.671308023316)
	effector:SetKey(_TRACK_X, 2.19999186197917, 276.576225814948)
	effector:SetKey(_TRACK_Y, 2.19999186197917, 403.393612642057)
	effector:SetKey(_TRACK_X, 2.39998372395833, 317.93243055169)
	effector:SetKey(_TRACK_Y, 2.39998372395833, 384.452320819245)
	effector:SetKey(_TRACK_X, 2.60001627604167, 356.702483345271)
	effector:SetKey(_TRACK_Y, 2.60001627604167, 357.688855143272)
	effector:SetKey(_TRACK_X, 2.80000813802083, 380.859179736721)
	effector:SetKey(_TRACK_Y, 2.80000813802083, 317.659231198564)
	effector:SetKey(_TRACK_X, 3, 367.365306558428)
	effector:SetKey(_TRACK_Y, 3, 273.925405133213)
	effector:SetKey(_TRACK_X, 3.19999186197917, 324.957221220852)
	effector:SetKey(_TRACK_Y, 3.19999186197917, 239.169413388352)
	effector:SetKey(_TRACK_X, 3.39998372395833, 272.29857923358)
	effector:SetKey(_TRACK_Y, 3.39998372395833, 232.563084837068)
	effector:SetKey(_TRACK_X, 3.60001627604167, 219.722659445654)
	effector:SetKey(_TRACK_Y, 3.60001627604167, 244.844857506201)
	effector:SetKey(_TRACK_X, 3.80000813802083, 170.399152199907)
	effector:SetKey(_TRACK_Y, 3.80000813802083, 271.72918543913)
	effector:SetKey(_TRACK_X, 4, 130.03375347148)
	effector:SetKey(_TRACK_Y, 4, 308.445623645741)
	effector:SetKey(_TRACK_X, 4.19999186197917, 134.947948990623)
	effector:SetKey(_TRACK_Y, 4.19999186197917, 372.864641312074)
	effector:SetKey(_TRACK_X, 4.39998372395833, 159.967013498361)
	effector:SetKey(_TRACK_Y, 4.39998372395833, 434.560535541043)
	effector:SetKey(_TRACK_X, 4.60001627604167, 182.032795671134)
	effector:SetKey(_TRACK_Y, 4.60001627604167, 496.659058602639)
	effector:SetKey(_TRACK_X, 4.80000813802083, 186.976179584978)
	effector:SetKey(_TRACK_Y, 4.80000813802083, 561.218747653627)
	effector:SetKey(_TRACK_X, 5, 139)
	effector:SetKey(_TRACK_Y, 5, 602.25)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.6806784075)
	effector:SetKey(_TRACK_A, 0.70833333333333, -0.034906585)
	effector:SetKey(_TRACK_A, 1, 0.8552113325)
	effector:SetKey(_TRACK_A, 1.20833333333333, 1.710422665)
	effector:SetKey(_TRACK_A, 1.5, 2.05397694894737)
	effector:SetKey(_TRACK_A, 2, 1.221730475)
	effector:SetKey(_TRACK_A, 2.5, 1.221730475)
	effector:SetKey(_TRACK_A, 3, -0.6457718225)
	effector:SetKey(_TRACK_A, 3.29166666666667, -1.5882496175)
	effector:SetKey(_TRACK_A, 3.58333333333333, -2.02458193)
	effector:SetKey(_TRACK_A, 4, -2.7401669225)
	effector:SetKey(_TRACK_A, 4.29166666666667, -3.525565085)
	effector:SetKey(_TRACK_A, 4.66666666666667, -3.176499235)
	effector:SetKey(_TRACK_A, 4.91666666666667, -2.0420352225)
	effector:Play()
 
	compositionbutterfly_blue_idle_fly:Play()
 
	return compositionbutterfly_blue_idle_fly
end
 
createCompositionButterfly_out = function()
	local compositionbutterfly_out = CreateCompositionSequence()
	local compositionDuration = 6.5
	compositionbutterfly_out:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."banka_nakladka.png")
	element:SetName("Layer_1")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(29, 20)
	compositionbutterfly_out:RegisterParentInfo("Layer_1", "Layer_3")
	element:SetXY(112, 28.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 6.5)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."banka_kriska.png")
	element:SetName("Layer_2")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(18.397218546303, 48.6946764209446)
	element:SetParentElement(compositionbutterfly_out)
	element:SetScaleX(1.05)
	element:SetScaleY(1.05)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 6.5)
	effector:SetKey(_TRACK_X, 0.58333333333333, 724.411130477915)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 315.911954722001)
	effector:SetKey(_TRACK_X, 0.95833333333333, 833.715255752313)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 188.438003665342)
	effector:SetKey(_TRACK_A, 0, -0.0174532925)
	effector:SetKey(_TRACK_A, 0.25, -0.06981317)
	effector:SetKey(_TRACK_A, 0.58333333333333, 0.034906585)
	effector:SetKey(_TRACK_A, 0.83333333333333, 0.2617993875)
	effector:SetKey(_TRACK_A, 0.95833333333333, -0.06981317)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:SetKey(_TRACK_O, 1.5, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."banka.png")
	element:SetName("Layer_3")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(74, 79)
	element:SetParentElement(compositionbutterfly_out)
	element:SetXY(693.310808370253, 362.982489012126)
 
	element:SetScaleX(1.05)
	element:SetScaleY(1.05)
	element:SetAngle(-0.0174532925)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 6.5)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."babochki-v-bamke.png")
	element:SetName("Layer_4")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(63, 58)
	element:SetParentElement(compositionbutterfly_out)
	element:SetXY(700.824614170485, 372.30277454404)
 
	element:SetScaleX(1.05)
	element:SetScaleY(1.05)
	element:SetAngle(-0.0174532925)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 6.5)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:SetKey(_TRACK_O, 1.5, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."butterfly_yellow_[].png")
	element:SetName("Layer_5")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(47, 36)
	element:SetParentElement(compositionbutterfly_out)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.5, 6.49)
	effector:SetKey(_TRACK_X, 1.5, 716)
	effector:SetKey(_TRACK_Y, 1.5, 381)
	effector:SetKey(_TRACK_X, 1.69999186197917, 727.439563282355)
	effector:SetKey(_TRACK_Y, 1.69999186197917, 319.128326406085)
	effector:SetKey(_TRACK_X, 1.89998372395833, 739.15602110329)
	effector:SetKey(_TRACK_Y, 1.89998372395833, 257.221563227505)
	effector:SetKey(_TRACK_X, 2.10001627604167, 752.054386475228)
	effector:SetKey(_TRACK_Y, 2.10001627604167, 195.207754703969)
	effector:SetKey(_TRACK_X, 2.30000813802083, 772.068480889182)
	effector:SetKey(_TRACK_Y, 2.30000813802083, 135.319484172227)
	effector:SetKey(_TRACK_X, 2.5, 810.685354167302)
	effector:SetKey(_TRACK_Y, 2.5, 83.3111362041078)
	effector:SetKey(_TRACK_X, 2.69999186197917, 872.939514027757)
	effector:SetKey(_TRACK_Y, 2.69999186197917, 54.6655701358181)
	effector:SetKey(_TRACK_X, 2.89998372395833, 941.450932547131)
	effector:SetKey(_TRACK_Y, 2.89998372395833, 38.6797024908129)
	effector:SetKey(_TRACK_X, 3.10001627604167, 1012.41148383427)
	effector:SetKey(_TRACK_Y, 3.10001627604167, 36.8373839753294)
	effector:SetKey(_TRACK_X, 3.30000813802083, 1083.93417448681)
	effector:SetKey(_TRACK_Y, 3.30000813802083, 51.1861941466561)
	effector:SetKey(_TRACK_X, 3.41666666666667, 1116.02496671449)
	effector:SetKey(_TRACK_Y, 3.41666666666667, 81.1423664738036)
	effector:SetKey(_TRACK_X, 3.5, 1131.19994885102)
	effector:SetKey(_TRACK_Y, 3.5, 118.844993287381)
	effector:SetKey(_TRACK_X, 3.69999186197917, 1131.11488509841)
	effector:SetKey(_TRACK_Y, 3.69999186197917, 224.803743875445)
	effector:SetKey(_TRACK_X, 3.89998372395833, 1069.37801348139)
	effector:SetKey(_TRACK_Y, 3.89998372395833, 317.960722789214)
	effector:SetKey(_TRACK_X, 4, 1020.21638207209)
	effector:SetKey(_TRACK_Y, 4, 341.101627481315)
	effector:SetKey(_TRACK_X, 4.10001627604167, 964.688338365878)
	effector:SetKey(_TRACK_Y, 4.10001627604167, 326.246358495109)
	effector:SetKey(_TRACK_X, 4.30000813802083, 874.566273221983)
	effector:SetKey(_TRACK_Y, 4.30000813802083, 245.088725545954)
	effector:SetKey(_TRACK_X, 4.5, 785.435108192981)
	effector:SetKey(_TRACK_Y, 4.5, 162.659274690002)
	effector:SetKey(_TRACK_X, 4.58333333333333, 739.965193007122)
	effector:SetKey(_TRACK_Y, 4.58333333333333, 145.26949447055)
	effector:SetKey(_TRACK_X, 4.69999186197917, 680.227610610178)
	effector:SetKey(_TRACK_Y, 4.69999186197917, 165.391606617827)
	effector:SetKey(_TRACK_X, 4.89998372395833, 598.082447972673)
	effector:SetKey(_TRACK_Y, 4.89998372395833, 239.755313745257)
	effector:SetKey(_TRACK_X, 5.10001627604167, 511.964833176243)
	effector:SetKey(_TRACK_Y, 5.10001627604167, 307.404050216652)
	effector:SetKey(_TRACK_X, 5.16666666666667, 474.459803576168)
	effector:SetKey(_TRACK_Y, 5.16666666666667, 315.453454285631)
	effector:SetKey(_TRACK_X, 5.30000813802083, 395.223336746631)
	effector:SetKey(_TRACK_Y, 5.30000813802083, 276.004603668427)
	effector:SetKey(_TRACK_X, 5.5, 290.804640396119)
	effector:SetKey(_TRACK_Y, 5.5, 178.600992569522)
	effector:SetKey(_TRACK_X, 5.69999186197917, 162.846795007079)
	effector:SetKey(_TRACK_Y, 5.69999186197917, 126.144144286005)
	effector:SetKey(_TRACK_X, 5.70833333333333, 157.445776920674)
	effector:SetKey(_TRACK_Y, 5.70833333333333, 128.653433849967)
	effector:SetKey(_TRACK_X, 5.89998372395833, 69.4969937727971)
	effector:SetKey(_TRACK_Y, 5.89998372395833, 236.331569485633)
	effector:SetKey(_TRACK_X, 6.10001627604167, 0.9755672518111)
	effector:SetKey(_TRACK_Y, 6.10001627604167, 371.399499584066)
	effector:SetKey(_TRACK_X, 6.30000813802083, -57.3173424192083)
	effector:SetKey(_TRACK_Y, 6.30000813802083, 509.397502850235)
	effector:SetKey(_TRACK_X, 6.45833333333333, -106)
	effector:SetKey(_TRACK_Y, 6.45833333333333, 617)
	effector:SetKey(_TRACK_A, 1.5, 0.6457718225)
	effector:SetKey(_TRACK_A, 1.875, 0.20943951)
	effector:SetKey(_TRACK_A, 2.29166666666667, 0.5410520675)
	effector:SetKey(_TRACK_A, 2.5, 1.0297442575)
	effector:SetKey(_TRACK_A, 2.95833333333333, 1.53588974)
	effector:SetKey(_TRACK_A, 3.41666666666667, 2.6703537525)
	effector:SetKey(_TRACK_A, 3.875, 4.0317105675)
	effector:SetKey(_TRACK_A, 4, 4.852015315)
	effector:SetKey(_TRACK_A, 4.20833333333333, 5.480333845)
	effector:SetKey(_TRACK_A, 4.375, 5.36203930694444)
	effector:SetKey(_TRACK_A, 4.58333333333333, 4.6251225125)
	effector:SetKey(_TRACK_A, 4.875, 3.8920842275)
	effector:SetKey(_TRACK_A, 5.16666666666667, 4.9043751925)
	effector:SetKey(_TRACK_A, 5.41666666666667, 5.44542726)
	effector:SetKey(_TRACK_A, 5.70833333333333, 3.9618973975)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."Inachis_io_[].png")
	element:SetName("Layer_6")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(44, 29)
	element:SetParentElement(compositionbutterfly_out)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.08333333333333, 6.08333333333333)
	effector:SetKey(_TRACK_X, 1.08333333333333, 677)
	effector:SetKey(_TRACK_Y, 1.08333333333333, 364)
	effector:SetKey(_TRACK_X, 1.2833251953125, 734.919067043094)
	effector:SetKey(_TRACK_Y, 1.2833251953125, 296.274072375276)
	effector:SetKey(_TRACK_X, 1.48331705729167, 779.628014577698)
	effector:SetKey(_TRACK_Y, 1.48331705729167, 214.103967716892)
	effector:SetKey(_TRACK_X, 1.683349609375, 827.364283912495)
	effector:SetKey(_TRACK_Y, 1.683349609375, 136.998279488128)
	effector:SetKey(_TRACK_X, 1.88334147135417, 898.525065449491)
	effector:SetKey(_TRACK_Y, 1.88334147135417, 81.0602093563185)
	effector:SetKey(_TRACK_X, 1.91666666666667, 913.599645509485)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 82.0355403742196)
	effector:SetKey(_TRACK_X, 2.08333333333333, 973.601573633671)
	effector:SetKey(_TRACK_Y, 2.08333333333333, 132.907267298491)
	effector:SetKey(_TRACK_X, 2.2833251953125, 1005.72837993434)
	effector:SetKey(_TRACK_Y, 2.2833251953125, 226.388077778558)
	effector:SetKey(_TRACK_X, 2.48331705729167, 1014.73784191952)
	effector:SetKey(_TRACK_Y, 2.48331705729167, 325.129612246039)
	effector:SetKey(_TRACK_X, 2.683349609375, 1008.76739381395)
	effector:SetKey(_TRACK_Y, 2.683349609375, 423.662225130729)
	effector:SetKey(_TRACK_X, 2.88334147135417, 988.386787259941)
	effector:SetKey(_TRACK_Y, 2.88334147135417, 481.785084843006)
	effector:SetKey(_TRACK_X, 3, 950.627636271486)
	effector:SetKey(_TRACK_Y, 3, 513.157220734694)
	effector:SetKey(_TRACK_X, 3.08333333333333, 909.317285598475)
	effector:SetKey(_TRACK_Y, 3.08333333333333, 521.344291045993)
	effector:SetKey(_TRACK_X, 3.2833251953125, 859.354385484831)
	effector:SetKey(_TRACK_Y, 3.2833251953125, 505.372228181666)
	effector:SetKey(_TRACK_X, 3.48331705729167, 774.663832183568)
	effector:SetKey(_TRACK_Y, 3.48331705729167, 492.590369769804)
	effector:SetKey(_TRACK_X, 3.683349609375, 705.643803730857)
	effector:SetKey(_TRACK_Y, 3.683349609375, 490.262244164168)
	effector:SetKey(_TRACK_X, 3.88334147135417, 638.352557142864)
	effector:SetKey(_TRACK_Y, 3.88334147135417, 471.45947101401)
	effector:SetKey(_TRACK_X, 4.08333333333333, 566.563793534979)
	effector:SetKey(_TRACK_Y, 4.08333333333333, 423.274115972893)
	effector:SetKey(_TRACK_X, 4.16666666666667, 514.052130402562)
	effector:SetKey(_TRACK_Y, 4.16666666666667, 445.186584369977)
	effector:SetKey(_TRACK_X, 4.2833251953125, 459.484387202548)
	effector:SetKey(_TRACK_Y, 4.2833251953125, 474.419988520087)
	effector:SetKey(_TRACK_X, 4.48331705729167, 407.653235105541)
	effector:SetKey(_TRACK_Y, 4.48331705729167, 467.12928976768)
	effector:SetKey(_TRACK_X, 4.683349609375, 392.184327891339)
	effector:SetKey(_TRACK_Y, 4.683349609375, 396.678810230022)
	effector:SetKey(_TRACK_X, 4.88334147135417, 386.190466568894)
	effector:SetKey(_TRACK_Y, 4.88334147135417, 323.013564785324)
	effector:SetKey(_TRACK_X, 5.08333333333333, 387.840127627894)
	effector:SetKey(_TRACK_Y, 5.08333333333333, 252.06731030585)
	effector:SetKey(_TRACK_X, 5.2833251953125, 397.00058636768)
	effector:SetKey(_TRACK_Y, 5.2833251953125, 178.343069083693)
	effector:SetKey(_TRACK_X, 5.29166666666667, 397.555419352465)
	effector:SetKey(_TRACK_Y, 5.29166666666667, 175.353910516826)
	effector:SetKey(_TRACK_X, 5.48331705729167, 428.546186959546)
	effector:SetKey(_TRACK_Y, 5.48331705729167, 99.1420122547338)
	effector:SetKey(_TRACK_X, 5.683349609375, 480.743002601907)
	effector:SetKey(_TRACK_Y, 5.683349609375, 27.9985233739269)
	effector:SetKey(_TRACK_X, 5.88334147135417, 541.528339400864)
	effector:SetKey(_TRACK_Y, 5.88334147135417, -34.1742610244983)
	effector:SetKey(_TRACK_X, 6.04166666666667, 589)
	effector:SetKey(_TRACK_Y, 6.04166666666667, -86)
	effector:SetKey(_TRACK_A, 1.08333333333333, 0.4712388975)
	effector:SetKey(_TRACK_A, 1.5, 0.63704517625)
	effector:SetKey(_TRACK_A, 1.91666666666667, 1.81514242)
	effector:SetKey(_TRACK_A, 2.45833333333333, 3.0892327725)
	effector:SetKey(_TRACK_A, 3, 3.76991118)
	effector:SetKey(_TRACK_A, 3.20833333333333, 5.0689348075)
	effector:SetKey(_TRACK_A, 3.58333333333333, 4.81710873)
	effector:SetKey(_TRACK_A, 4, 5.2285077675)
	effector:SetKey(_TRACK_A, 4.16666666666667, 4.1887902)
	effector:SetKey(_TRACK_A, 4.75, 6.21337213)
	effector:SetKey(_TRACK_A, 5.29166666666667, 6.6497044425)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."butterfly_[]_blue.png")
	element:SetName("Layer_7")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(35, 26)
	element:SetParentElement(compositionbutterfly_out)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.20833333333333, 6.49)
	effector:SetKey(_TRACK_X, 1.20833333333333, 705)
	effector:SetKey(_TRACK_Y, 1.20833333333333, 353.25)
	effector:SetKey(_TRACK_X, 1.4083251953125, 726.647248207365)
	effector:SetKey(_TRACK_Y, 1.4083251953125, 317.357518844964)
	effector:SetKey(_TRACK_X, 1.60831705729167, 747.744322280727)
	effector:SetKey(_TRACK_Y, 1.60831705729167, 278.919424413686)
	effector:SetKey(_TRACK_X, 1.808349609375, 763.872175367669)
	effector:SetKey(_TRACK_Y, 1.808349609375, 239.714904521242)
	effector:SetKey(_TRACK_X, 2.00834147135417, 777.313919172763)
	effector:SetKey(_TRACK_Y, 2.00834147135417, 197.892412972975)
	effector:SetKey(_TRACK_X, 2.20833333333333, 776.908681892631)
	effector:SetKey(_TRACK_Y, 2.20833333333333, 156.085431146307)
	effector:SetKey(_TRACK_X, 2.4083251953125, 754.064955991001)
	effector:SetKey(_TRACK_Y, 2.4083251953125, 115.124335271118)
	effector:SetKey(_TRACK_X, 2.60831705729167, 718.535246090812)
	effector:SetKey(_TRACK_Y, 2.60831705729167, 87.5963926931312)
	effector:SetKey(_TRACK_X, 2.808349609375, 673.971115987119)
	effector:SetKey(_TRACK_Y, 2.808349609375, 71.536548398922)
	effector:SetKey(_TRACK_X, 3.00834147135417, 628.46489905101)
	effector:SetKey(_TRACK_Y, 3.00834147135417, 71.185334011881)
	effector:SetKey(_TRACK_X, 3.20833333333333, 584.427830146066)
	effector:SetKey(_TRACK_Y, 3.20833333333333, 85.1887854120106)
	effector:SetKey(_TRACK_X, 3.4083251953125, 535.604703270145)
	effector:SetKey(_TRACK_Y, 3.4083251953125, 78.862739943752)
	effector:SetKey(_TRACK_X, 3.60831705729167, 492.548941800515)
	effector:SetKey(_TRACK_Y, 3.60831705729167, 55.8387390140823)
	effector:SetKey(_TRACK_X, 3.808349609375, 446.734118963798)
	effector:SetKey(_TRACK_Y, 3.808349609375, 31.2395892357367)
	effector:SetKey(_TRACK_X, 4.00834147135417, 398.866133825676)
	effector:SetKey(_TRACK_Y, 4.00834147135417, 19.958543900092)
	effector:SetKey(_TRACK_X, 4.20833333333333, 354.556904508259)
	effector:SetKey(_TRACK_Y, 4.20833333333333, 41.3078984079135)
	effector:SetKey(_TRACK_X, 4.4083251953125, 322.922083041373)
	effector:SetKey(_TRACK_Y, 4.4083251953125, 108.055098471234)
	effector:SetKey(_TRACK_X, 4.60831705729167, 313.965274098419)
	effector:SetKey(_TRACK_Y, 4.60831705729167, 181.130311448451)
	effector:SetKey(_TRACK_X, 4.808349609375, 312.734678227839)
	effector:SetKey(_TRACK_Y, 4.808349609375, 253.771672479146)
	effector:SetKey(_TRACK_X, 5.00834147135417, 311.264408282433)
	effector:SetKey(_TRACK_Y, 5.00834147135417, 327.318083714579)
	effector:SetKey(_TRACK_X, 5.20833333333333, 298.903944928487)
	effector:SetKey(_TRACK_Y, 5.20833333333333, 400.099855482659)
	effector:SetKey(_TRACK_X, 5.4083251953125, 279.372538988464)
	effector:SetKey(_TRACK_Y, 5.4083251953125, 450.21827381432)
	effector:SetKey(_TRACK_X, 5.60831705729167, 253.89247043306)
	effector:SetKey(_TRACK_Y, 5.60831705729167, 497.087369697845)
	effector:SetKey(_TRACK_X, 5.808349609375, 223.569292385843)
	effector:SetKey(_TRACK_Y, 5.808349609375, 538.814994112643)
	effector:SetKey(_TRACK_X, 6.00834147135417, 185.393368949328)
	effector:SetKey(_TRACK_Y, 6.00834147135417, 577.98820629718)
	effector:SetKey(_TRACK_X, 6.20833333333333, 139)
	effector:SetKey(_TRACK_Y, 6.20833333333333, 602.25)
	effector:SetKey(_TRACK_A, 1.70833333333333, 0.6806784075)
	effector:SetKey(_TRACK_A, 2.20833333333333, -0.2897246555)
	effector:SetKey(_TRACK_A, 2.70833333333333, -1.333431547)
	effector:SetKey(_TRACK_A, 3.20833333333333, -1.711419996)
	effector:SetKey(_TRACK_A, 3.70833333333333, -1.12075071125)
	effector:SetKey(_TRACK_A, 4.20833333333333, -2.586079283)
	effector:SetKey(_TRACK_A, 4.70833333333333, -3.174379906625)
	effector:SetKey(_TRACK_A, 5.20833333333333, -2.77947838608333)
	effector:SetKey(_TRACK_A, 5.70833333333333, -2.46311668179167)
	effector:SetKey(_TRACK_A, 6.20833333333333, -0.6806784075)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."butterfly_green_yellow_[].png")
	element:SetName("Layer_8")
	compositionbutterfly_out:AddElement(element)
	element:SetHotSpot(37, 39)
	element:SetParentElement(compositionbutterfly_out)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.95833333333333,  6.49583333333333)
	effector:SetKey(_TRACK_X, 0.95833333333333, 688.5)
	effector:SetKey(_TRACK_Y, 0.95833333333333, 369.5)
	effector:SetKey(_TRACK_X, 1.1583251953125, 730.306396880935)
	effector:SetKey(_TRACK_Y, 1.1583251953125, 323.618921006026)
	effector:SetKey(_TRACK_X, 1.35831705729167, 769.102922952958)
	effector:SetKey(_TRACK_Y, 1.35831705729167, 271.675582196691)
	effector:SetKey(_TRACK_X, 1.558349609375, 803.858553952819)
	effector:SetKey(_TRACK_Y, 1.558349609375, 217.932294882977)
	effector:SetKey(_TRACK_X, 1.75834147135417, 836.535126544708)
	effector:SetKey(_TRACK_Y, 1.75834147135417, 162.855566884305)
	effector:SetKey(_TRACK_X, 1.95833333333333, 858.32517653452)
	effector:SetKey(_TRACK_Y, 1.95833333333333, 102.833986157226)
	effector:SetKey(_TRACK_X, 2.1583251953125, 834.124727387089)
	effector:SetKey(_TRACK_Y, 2.1583251953125, 23.0724325254515)
	effector:SetKey(_TRACK_X, 2.35831705729167, 773.068178514785)
	effector:SetKey(_TRACK_Y, 2.35831705729167, -33.6837999068291)
	effector:SetKey(_TRACK_X, 2.558349609375, 689.509803688349)
	effector:SetKey(_TRACK_Y, 2.558349609375, -55.4534506226816)
	effector:SetKey(_TRACK_X, 2.75834147135417, 605.745654813054)
	effector:SetKey(_TRACK_Y, 2.75834147135417, -40.4289416356349)
	effector:SetKey(_TRACK_X, 2.95833333333333, 556.050378461775)
	effector:SetKey(_TRACK_Y, 2.95833333333333, 22.008671560086)
	effector:SetKey(_TRACK_X, 3.1583251953125, 553.398006646331)
	effector:SetKey(_TRACK_Y, 3.1583251953125, 91.4525547927166)
	effector:SetKey(_TRACK_X, 3.35831705729167, 522.964132852833)
	effector:SetKey(_TRACK_Y, 3.35831705729167, 156.36990805338)
	effector:SetKey(_TRACK_X, 3.558349609375, 467.262228029892)
	effector:SetKey(_TRACK_Y, 3.558349609375, 196.855281961766)
	effector:SetKey(_TRACK_X, 3.75834147135417, 402.263944035175)
	effector:SetKey(_TRACK_Y, 3.75834147135417, 223.947937906523)
	effector:SetKey(_TRACK_X, 3.95833333333333, 355.934597614613)
	effector:SetKey(_TRACK_Y, 3.95833333333333, 272.656733463763)
	effector:SetKey(_TRACK_X, 4.1583251953125, 387.045997025673)
	effector:SetKey(_TRACK_Y, 4.1583251953125, 352.757709308459)
	effector:SetKey(_TRACK_X, 4.35831705729167, 448.199324200075)
	effector:SetKey(_TRACK_Y, 4.35831705729167, 415.339886118022)
	effector:SetKey(_TRACK_X, 4.558349609375, 521.094564649442)
	effector:SetKey(_TRACK_Y, 4.558349609375, 464.235886974773)
	effector:SetKey(_TRACK_X, 4.75834147135417, 601.430367660429)
	effector:SetKey(_TRACK_Y, 4.75834147135417, 499.597858822253)
	effector:SetKey(_TRACK_X, 4.95833333333333, 685.317851357234)
	effector:SetKey(_TRACK_Y, 4.95833333333333, 523.416320075464)
	effector:SetKey(_TRACK_X, 5.1583251953125, 745.258944563623)
	effector:SetKey(_TRACK_Y, 5.1583251953125, 525.856943386034)
	effector:SetKey(_TRACK_X, 5.35831705729167, 805.661605903445)
	effector:SetKey(_TRACK_Y, 5.35831705729167, 520.692511377804)
	effector:SetKey(_TRACK_X, 5.558349609375, 864.774332814162)
	effector:SetKey(_TRACK_Y, 5.558349609375, 506.37834242343)
	effector:SetKey(_TRACK_X, 5.75834147135417, 922.113422222663)
	effector:SetKey(_TRACK_Y, 5.75834147135417, 484.793063391603)
	effector:SetKey(_TRACK_X, 5.95833333333333, 977.5)
	effector:SetKey(_TRACK_Y, 5.95833333333333, 459.5)
	effector:SetKey(_TRACK_A, 0.95833333333333, 0.733038285)
	effector:SetKey(_TRACK_A, 1.95833333333333, 0)
	effector:SetKey(_TRACK_A, 2.45833333333333, -1.356993491875)
	effector:SetKey(_TRACK_A, 2.91666666666667, -3.19514724692708)
	effector:SetKey(_TRACK_A, 3.5, -2.00546428446846)
	effector:SetKey(_TRACK_A, 3.95833333333333, -3.32749172130485)
	effector:SetKey(_TRACK_A, 4.41666666666667, -4.14228284485999)
	effector:SetKey(_TRACK_A, 4.95833333333333, -4.37184209826486)
	effector:SetKey(_TRACK_A, 5.875, -5.29686660076486)
	effector:SetKey(_TRACK_A, 5.91666666666667, 0.733038285)
	effector:Play()
 
	compositionbutterfly_out:Play()
 
	return compositionbutterfly_out
end
 
createCompositionClear_sand = function() 
	local compositionClear_sand2 = CreateCompositionSequence()
	local compositionDuration = 2.1
	compositionClear_sand2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionsand()
	element:SetName("Layer_1")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionClear_sand2)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 10)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."brush_handle.png")
	element:SetName("Layer_2")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(48, 83)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.125)
	effector:SetKey(_TRACK_X, 0.08333333333333, 523)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 324)
	effector:SetKey(_TRACK_X, 1.58333333333333, 505)
	effector:SetKey(_TRACK_Y, 1.58333333333333, 408)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.034906585)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0.1919862175)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.1919862175)
	effector:SetKey(_TRACK_A, 0.83333333333333, 0.1919862175)
	effector:SetKey(_TRACK_A, 1.08333333333333, -0.1919862175)
	effector:SetKey(_TRACK_A, 1.33333333333333, 0.1919862175)
	effector:SetKey(_TRACK_A, 1.58333333333333, -0.1919862175)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 1)
	effector:SetKey(_TRACK_O, 2.08333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."brush_tail.png")
	element:SetName("Layer_3")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(68, 4)
	compositionClear_sand2:RegisterParentInfo("Layer_3", "Layer_2")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.125)
	effector:SetKey(_TRACK_X, 0.08333333333333, 49.25)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 142.25)
	effector:SetKey(_TRACK_X, 0.33333333333333, 49.7821869015712)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 134.50617813339)
	effector:SetKey(_TRACK_X, 0.58333333333333, 45.6786602756864)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 137.274041791639)
	effector:SetKey(_TRACK_X, 0.83333333333333, 48.7051552204352)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 139.741900853541)
	effector:SetKey(_TRACK_X, 1.08333333333333, 47.2189233419812)
	effector:SetKey(_TRACK_Y, 1.08333333333333, 136.906214904168)
	effector:SetKey(_TRACK_X, 1.33333333333333, 47.3005367363869)
	effector:SetKey(_TRACK_Y, 1.33333333333333, 139.9465009522)
	effector:SetKey(_TRACK_A, 0.08333333333333, 0)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0.34906585)
	effector:SetKey(_TRACK_A, 0.58333333333333, -0.4014257275)
	effector:SetKey(_TRACK_A, 0.83333333333333, 0.1570796325)
	effector:SetKey(_TRACK_A, 1.08333333333333, -0.41887902)
	effector:SetKey(_TRACK_A, 1.33333333333333, 0.0872664625)
	effector:SetKey(_TRACK_A, 1.58333333333333, -0.34906585)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 1)
	effector:SetKey(_TRACK_O, 2.08333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."send_rock_1.png")
	element:SetName("Layer_4")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(17, 24)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.08333333333333)
	effector:SetKey(_TRACK_X, 1.08333333333333, 485)
	effector:SetKey(_TRACK_Y, 1.08333333333333, 543)
	effector:SetKey(_TRACK_X, 1.375, 456)
	effector:SetKey(_TRACK_Y, 1.375, 542)
	effector:SetKey(_TRACK_A, 1.08333333333333, 0)
	effector:SetKey(_TRACK_A, 1.375, -0.90757121)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."send_rock_2.png")
	element:SetName("Layer_5")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(15, 17)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.08333333333333)
	effector:SetKey(_TRACK_X, 0.58333333333333, 478)
	effector:SetKey(_TRACK_Y, 0.58333333333333, 506)
	effector:SetKey(_TRACK_X, 0.83333333333333, 463)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 496)
	effector:SetKey(_TRACK_A, 0.58333333333333, 0)
	effector:SetKey(_TRACK_A, 0.83333333333333, 1.0995574275)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."send_rock_3.png")
	element:SetName("Layer_6")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(13, 23)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.08333333333333)
	effector:SetKey(_TRACK_X, 0.33333333333333, 570)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 395)
	effector:SetKey(_TRACK_X, 0.625, 579)
	effector:SetKey(_TRACK_Y, 0.625, 367)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0)
	effector:SetKey(_TRACK_A, 0.625, -0.802851455)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."send_rock_4.png")
	element:SetName("Layer_7")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(20, 19)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.08333333333333)
	effector:SetKey(_TRACK_X, 0.16666666666667, 537)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 391)
	effector:SetKey(_TRACK_X, 0.41666666666667, 552)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 368)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."send_rock_5.png")
	element:SetName("Layer_8")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(44, 49)
	element:SetParentElement(compositionClear_sand2)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.08333333333333)
	effector:SetKey(_TRACK_X, 0.08333333333333, 517)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 453)
	effector:SetKey(_TRACK_X, 0.33333333333333, 515)
	effector:SetKey(_TRACK_Y, 0.33333333333333, 457)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."sand_18.png")
	element:SetName("Layer_9")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(70, 115)
	element:SetParentElement(compositionClear_sand2)
	element:SetXY(524, 469)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.83333333333333, 1.58333333333333)
	effector:SetKey(_TRACK_O, 0.83333333333333, 1)
	effector:SetKey(_TRACK_O, 1.58333333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."sand_[].png")
	element:SetName("Layer_10")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(70, 115)
	element:SetParentElement(compositionClear_sand2)
	element:SetXY(524, 469)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 0.83333333333333)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."sand_01.png")
	element:SetName("Layer_11")
	compositionClear_sand2:AddElement(element)
	element:SetHotSpot(70, 115)
	element:SetParentElement(compositionClear_sand2)
	element:SetXY(524, 469)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.08333333333333)
	effector:Play()
 
	compositionClear_sand2:Play()
 
	return compositionClear_sand2
end


createCompositionsand = function()
	local compositionsand = CreateCompositionSequence()
	local compositionDuration = 10
	compositionsand:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."sm1.png")
	element:SetName("Layer_1")
	compositionsand:AddElement(element)
	element:SetHotSpot(44, 34)
	element:SetParentElement(compositionsand)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.375, 2)
	effector:SetKey(_TRACK_X, 0.375, 520)
	effector:SetKey(_TRACK_Y, 0.375, 460)
	effector:SetKey(_TRACK_X, 2, 462)
	effector:SetKey(_TRACK_Y, 2, 408)
	effector:SetKey(_TRACK_SX, 0.375, 0.5)
	effector:SetKey(_TRACK_SY, 0.375, 0.5)
	effector:SetKey(_TRACK_SX, 2, 3.5)
	effector:SetKey(_TRACK_SY, 2, 3.5)
	effector:SetKey(_TRACK_A, 0.375, 0)
	effector:SetKey(_TRACK_A, 2, -0.7853981625)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:SetKey(_TRACK_O, 1.1875, 1)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sm1.png")
	element:SetName("Layer_2")
	compositionsand:AddElement(element)
	element:SetHotSpot(44, 34)
	element:SetParentElement(compositionsand)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.29166666666667, 2)
	effector:SetKey(_TRACK_X, 0.29166666666667, 509)
	effector:SetKey(_TRACK_Y, 0.29166666666667, 454)
	effector:SetKey(_TRACK_X, 2, 570)
	effector:SetKey(_TRACK_Y, 2, 413)
	effector:SetKey(_TRACK_SX, 0.29166666666667, 0.5)
	effector:SetKey(_TRACK_SY, 0.29166666666667, 0.5)
	effector:SetKey(_TRACK_SX, 2, 3.5)
	effector:SetKey(_TRACK_SY, 2, 3.5)
	effector:SetKey(_TRACK_A, 0.29166666666667, 0)
	effector:SetKey(_TRACK_A, 2, 0.8901179175)
	effector:SetKey(_TRACK_O, 0.29166666666667, 0)
	effector:SetKey(_TRACK_O, 1.14583333333333, 1)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sm1.png")
	element:SetName("Layer_3")
	compositionsand:AddElement(element)
	element:SetHotSpot(44, 34)
	element:SetParentElement(compositionsand)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.16666666666667, 2)
	effector:SetKey(_TRACK_X, 0.16666666666667, 512)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 384)
	effector:SetKey(_TRACK_X, 2, 454)
	effector:SetKey(_TRACK_Y, 2, 332)
	effector:SetKey(_TRACK_SX, 0.16666666666667, 0.5)
	effector:SetKey(_TRACK_SY, 0.16666666666667, 0.5)
	effector:SetKey(_TRACK_SX, 2, 3.5)
	effector:SetKey(_TRACK_SY, 2, 3.5)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 2, -0.7853981625)
	effector:SetKey(_TRACK_O, 0.16666666666667, 0)
	effector:SetKey(_TRACK_O, 1.08333333333333, 1)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."sm1.png")
	element:SetName("Layer_4")
	compositionsand:AddElement(element)
	element:SetHotSpot(44, 34)
	element:SetParentElement(compositionsand)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 0, 512)
	effector:SetKey(_TRACK_Y, 0, 384)
	effector:SetKey(_TRACK_X, 2, 573)
	effector:SetKey(_TRACK_Y, 2, 343)
	effector:SetKey(_TRACK_SX, 0, 0.5)
	effector:SetKey(_TRACK_SY, 0, 0.5)
	effector:SetKey(_TRACK_SX, 2, 3.5)
	effector:SetKey(_TRACK_SY, 2, 3.5)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 2, 0.8901179175)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 2, 0)
	effector:Play()
 
	compositionsand:Play()
 
	return compositionsand
end

 
createCompositionkey = function()
	local compositionkey = CreateCompositionSequence()
	local compositionDuration = 2
	compositionkey:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Kluch_polovina_2.png")
	element:SetName("Layer_1")
	compositionkey:AddElement(element)
	element:SetHotSpot(34, 58)
	element:SetParentElement(compositionkey)
	element:SetXY(534, 465)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Kluch_polov_1.png")
	element:SetName("Layer_2")
	compositionkey:AddElement(element)
	element:SetHotSpot(37, 47)
	element:SetParentElement(compositionkey)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionkey:Play()
 
	return compositionkey
end
 
createCompositionOpen_lock = function()
	local compositionopen_lock = CreateCompositionSequence()
	local compositionDuration = 2
	compositionopen_lock:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."zamok_ms.png")
	element:SetName("Layer_1")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(60, 32)
	compositionopen_lock:RegisterParentInfo("Layer_1", "Layer_6")
	element:SetXY(62.8949044046453, 64.4774101730558)
 
	element:SetScaleX(1)
	element:SetScaleY(0.9672619047619)
	element:SetAngle(0.0174532925)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Kluch_povorot.png")
	element:SetName("Layer_3")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(29, 77)
	element:SetParentElement(compositionopen_lock)
	element:SetXY(748.906091863664, 384.301210587385)
 
	element:SetScaleX(1.09200009571112)
	element:SetScaleY(1.21208628289633)
	element:SetAngle(-0.04477865170584)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.54166666666667, 1)
	effector:SetKey(_TRACK_O, 0.625, 1)
	effector:SetKey(_TRACK_O, 0.66666666666667, 0)
	effector:SetKey(_TRACK_O, 0.70833333333333, 0)
	effector:SetKey(_TRACK_O, 0.75, 1)
	effector:SetKey(_TRACK_O, 0.83333333333333, 1)
	effector:SetKey(_TRACK_O, 0.875, 0)
	effector:SetKey(_TRACK_O, 0.91666666666667, 0)
	effector:SetKey(_TRACK_O, 0.95833333333333, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionkey()
	element:SetName("Layer_4")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(512, 384)
	compositionopen_lock:RegisterParentInfo("Layer_4", "Layer_6")
	element:SetScaleX(0.95238095238095)
	element:SetScaleY(0.95238095238095)
	element:SetAngle(0.22967827343172)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 1.66666666666667, 64.3219298232079)
	effector:SetKey(_TRACK_Y, 1.66666666666667, -44.5619110637302)
	effector:SetKey(_TRACK_X, 1.91666666666667, 54.360354414427)
	effector:SetKey(_TRACK_Y, 1.91666666666667, -115.69683530081)
	effector:SetKey(_TRACK_O, 0.95833333333333, 0)
	effector:SetKey(_TRACK_O, 1, 1)
	effector:SetKey(_TRACK_O, 1.66666666666667, 1)
	effector:SetKey(_TRACK_O, 1.91666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionkey()
	element:SetName("Layer_5")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(528, 399)
	element:SetParentElement(compositionopen_lock)
	element:SetAngle(0.18024770789987)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 0.29166666666667, 767)
	effector:SetKey(_TRACK_Y, 0.29166666666667, 276)
	effector:SetKey(_TRACK_X, 0.5, 759.5)
	effector:SetKey(_TRACK_Y, 0.5, 356.5)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.29166666666667, 1)
	effector:SetKey(_TRACK_O, 0.5, 1)
	effector:SetKey(_TRACK_O, 0.54166666666667, 0)
	effector:SetKey(_TRACK_O, 0.625, 0)
	effector:SetKey(_TRACK_O, 0.66666666666667, 1)
	effector:SetKey(_TRACK_O, 0.70833333333333, 1)
	effector:SetKey(_TRACK_O, 0.75, 0)
	effector:SetKey(_TRACK_O, 0.83333333333333, 0)
	effector:SetKey(_TRACK_O, 0.875, 1)
	effector:SetKey(_TRACK_O, 0.91666666666667, 1)
	effector:SetKey(_TRACK_O, 0.95833333333333, 0.03)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."zamok.png")
	element:SetName("Layer_6")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(61, 48)
	compositionopen_lock:RegisterParentInfo("Layer_6", "Layer_11")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 1, -20.1269970794054)
	effector:SetKey(_TRACK_Y, 1, 34.8577262753028)
	effector:SetKey(_TRACK_X, 2, -11.0460735189539)
	effector:SetKey(_TRACK_Y, 2, 5.02530338850566)
	effector:SetKey(_TRACK_A, 1, -4.33680868498649e-19)
	effector:SetKey(_TRACK_A, 2, 0.7504915775)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."link_1.png")
	element:SetName("Layer_7")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(8.5, 35.5)
	element:SetParentElement(compositionopen_lock)
	element:SetXY(615.75, 524.75)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_A, 1, -6.93889389597839e-18)
	effector:SetKey(_TRACK_A, 1.20833333333333, -0.4712388975)
	effector:SetKey(_TRACK_A, 1.5, -0.9599310875)
	effector:SetKey(_TRACK_A, 1.66666666666667, -1.6929693725)
	effector:SetKey(_TRACK_A, 1.79166666666667, -3.0194196025)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."link_2.png")
	element:SetName("Layer_8")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(3.5, 30)
	compositionopen_lock:RegisterParentInfo("Layer_8", "Layer_7")
	element:SetXY(20.5, 8.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_A, 1, 0)
	effector:SetKey(_TRACK_A, 1.20833333333333, 0.6457718225)
	effector:SetKey(_TRACK_A, 1.54166666666667, -1.640609495)
	effector:SetKey(_TRACK_A, 1.66666666666667, -0.5061454825)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."link_3.png")
	element:SetName("Layer_9")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(4, 31.5)
	compositionopen_lock:RegisterParentInfo("Layer_9", "Layer_8")
	element:SetXY(19.5, 9.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_A, 1, 0)
	effector:SetKey(_TRACK_A, 1.20833333333333, -1.3788101075)
	effector:SetKey(_TRACK_A, 1.375, -1.7976891275)
	effector:SetKey(_TRACK_A, 1.54166666666667, -0.593411945)
	effector:SetKey(_TRACK_A, 1.70833333333333, -0.802851455)
	effector:SetKey(_TRACK_A, 1.875, -0.453785605)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."link_4.png")
	element:SetName("Layer_10")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(3.5, 15.5)
	compositionopen_lock:RegisterParentInfo("Layer_10", "Layer_9")
	element:SetXY(29, 8.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_A, 1, 0)
	effector:SetKey(_TRACK_A, 1.20833333333333, 0.6806784075)
	effector:SetKey(_TRACK_A, 1.66666666666667, -1.082104135)
	effector:SetKey(_TRACK_A, 1.83333333333333, -0.383972435)
	effector:SetKey(_TRACK_A, 2, -0.8203047475)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."cep.png")
	element:SetName("Layer_11")
	compositionopen_lock:AddElement(element)
	element:SetHotSpot(108.735109555555, 94.1669122688086)
	element:SetParentElement(compositionopen_lock)
	element:SetXY(884.58015117401, 499.639837571804)
 
	element:SetScaleX(1.05)
	element:SetScaleY(1.05)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_A, 1, -0.0174532925)
	effector:SetKey(_TRACK_A, 2, -0.942477795)
	effector:Play()
 
	compositionopen_lock:Play()
 
	return compositionopen_lock
end
 
